<BottomNavigation selectedIndex="0">
        <!-- The bottom tab UI is created via TabStrip (the containier) and TabStripItem (for each tab)-->
        <TabStrip>
            <TabStripItem>
                <Label text="Home"></Label>
                <Image src="~/app/shared/icons/home.png" class="fas"></Image>
            </TabStripItem>
            <TabStripItem class="special">
                <Label text="Purchased"></Label>
                <Image src="~/app/shared/icons/purchased.png" class="fas"></Image>
            </TabStripItem>
        </TabStrip>

        <!-- Home Tab -->
        <TabContentItem>
            <GridLayout>
                <StackLayout *ngIf="!showDialog">
                    <Label text="Shopping List" class="title"></Label>
                    <Label *ngIf="estimate > 0" [text]="estimateString" class="estimate"></Label>
                    <TextField hint="Type item to search for here..." [(ngModel)]="itemToSearch" (ngModelChange) = "RenderSearchList(itemToSearch)" class="input"></TextField>
                    <Button (tap)="RedirectToAdd()" text="Add Item" class="btn"></Button>
                    <!-- Default no filter view -->
                    <ListView *ngIf="!searchDisplay" [items]="ShoppingItems" height="500">
                        <ng-template let-item="item">
                            <StackLayout>
                                <ScrollView height="40">
                                    <StackLayout *ngIf="item !== null || item !== undefined">
                                        <GridLayout columns="*,*" horizontalAlignment="left" verticalAlignment="top" width="300" height="35">
                                            <Label col="0" [text]="item.name" (tap)="RenderDetails(item)" class="item"></Label>
                                            <Button col="1" (tap)="ChangePurchaseStatus(item, true)" width="200" text="Cross out" class="cross-out"></Button>
                                        </GridLayout>
                                    </StackLayout>
                                </ScrollView>
                            </StackLayout>
                        </ng-template>
                    </ListView>
                    <!-- Search view -->
                    <ListView *ngIf="searchDisplay" [items]="searchedItems" height="500">
                        <ng-template let-item="item">
                            <StackLayout>
                                <ScrollView height="40">
                                    <StackLayout *ngIf="item !== null || item !== undefined">
                                        <GridLayout columns="*,*" horizontalAlignment="left" verticalAlignment="top" width="300" height="35">
                                            <Label col="0" [text]="item.name" (tap)="RenderDetails(item)" class="item"></Label>
                                            <Button col="1" (tap)="ChangePurchaseStatus(item, true)" width="200" text="Cross out" class="cross-out"></Button>
                                        </GridLayout>
                                    </StackLayout>
                                </ScrollView>
                            </StackLayout>
                        </ng-template>
                    </ListView>
                </StackLayout>

                <AbsoluteLayout class="dialog-wrapper" *ngIf="showDialog">
                    <StackLayout class="dialog">
                        <Label text="Price Paid"></Label>
                        <TextField [text]="itemToUpdate.previous_Price" [(ngModel)]="updatePrice"></TextField>
                        <Label text="Store with Price"></Label>
                        <GridLayout columns="auto, auto">
                            <TextField [text]="GetStoreName(itemToUpdate.last_Store_Id)" [(ngModel)]="updateStoreName" class="input" col="0"></TextField>
                            <Image (tap)="OpenStoreSelect()" src="~/app/shared/icons/dropdown.png" class="dropdownBtn" col="1"></Image>
                        </GridLayout>
                        <Label textWrap="true" text="Would you like to update the price paid for this item?"></Label>
                        <Button (tap)="UpdatePricePaid(updateStoreName, updatePrice)" class="btn btn-primary" text="Yes"></Button>
                        <Button (tap)="CloseDialog()" class="btn" text="No"></Button>
                    </StackLayout>
                </AbsoluteLayout>

                <AbsoluteLayout class="dialog-wrapper" *ngIf="showStoreSelect">
                    <StackLayout class="dialog">
                        <Label text="Please choose store with price" class="label"></Label>
                        <ListPicker [items]="storeNameList" [selectedIndex]="selectedStoreInd" (selectedIndexChange)="OnSelectedIndexChanged($event)"></ListPicker>
                        <Button (tap)="SaveStoreSelection()" class="btn btn-primary" text="Confirm"></Button>
                        <Button (tap)="CloseStoreSelect()" class="btn" text="Cancel"></Button>
                    </StackLayout>
                </AbsoluteLayout>

            </GridLayout>
        </TabContentItem>

        <!-- Purchased Tab -->
        <TabContentItem>

            <StackLayout>
                <Label text="Purchased Items" class="title"></Label>
                <ListView [items]="purchasedItems" height="500">
                    <ng-template let-item="item">
                        <StackLayout>
                            <ScrollView height="40">
                                <StackLayout *ngIf="item !== null || item !== undefined">
                                    <GridLayout columns="*,*" horizontalAlignment="left" verticalAlignment="top" width="300" height="35">
                                        <Label col="0" [text]="item.name" (tap)="RenderDetails(item)" class="item"></Label>
                                        <Button col="1" (tap)="ChangePurchaseStatus(item, false)" width="200" text="Move to List" class="cross-out"></Button>
                                    </GridLayout>
                                </StackLayout>
                            </ScrollView>
                        </StackLayout>
                    </ng-template>
                </ListView>
            </StackLayout>

        </TabContentItem>

</BottomNavigation>
